summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorJames Meyer <james.meyer@operamail.com>2009-03-14 17:59:21 (GMT)
committerJames Meyer <james.meyer@operamail.com>2009-03-14 17:59:21 (GMT)
commitba58f41e5bfbe2b8c589bb00d68cfeec888e48e9 (patch)
tree3d98bf06368dc587b2cf13fbb26890acae06ace3
parent0c9c49881bbaf1fa27ab080776e4e372f1b8488f (diff)
downloadlinhes_pkgbuild-ba58f41e5bfbe2b8c589bb00d68cfeec888e48e9.zip
linhes_pkgbuild-ba58f41e5bfbe2b8c589bb00d68cfeec888e48e9.tar.gz
linhes_pkgbuild-ba58f41e5bfbe2b8c589bb00d68cfeec888e48e9.tar.bz2
Missing ocaml, needed for unison.
Moving usion to extra-testing.
-rw-r--r--abs/extra-testing/ocaml/PKGBUILD29
-rw-r--r--abs/extra-testing/unison/PKGBUILD (renamed from abs/core-testing/unison/PKGBUILD)0
-rw-r--r--abs/extra-testing/unison/ocaml-3.08-extnames.patch (renamed from abs/core-testing/unison/ocaml-3.08-extnames.patch)0
-rw-r--r--abs/extra-testing/unison/unison.desktop (renamed from abs/core-testing/unison/unison.desktop)0
-rw-r--r--abs/extra-testing/unison/unison.install (renamed from abs/core-testing/unison/unison.install)0
5 files changed, 29 insertions, 0 deletions
diff --git a/abs/extra-testing/ocaml/PKGBUILD b/abs/extra-testing/ocaml/PKGBUILD
new file mode 100644
index 0000000..1ca7fe5
--- /dev/null
+++ b/abs/extra-testing/ocaml/PKGBUILD
@@ -0,0 +1,29 @@
+# $Id: PKGBUILD 28732 2009-03-01 22:25:49Z tpowa $
+#Maintainer: Tobias Powalowski <tpowa@archlinux.org>
+
+pkgname=ocaml
+pkgver=3.11.0
+pkgrel=1
+pkgdesc="Ocaml compiler - Ocaml is a functional language with OO extensions"
+arch=(i686 x86_64)
+license=('LGPL2' 'custom: QPL-1.0')
+url="http://caml.inria.fr/"
+depends=('gdbm')
+makedepends=('tk' 'ncurses>=5.6-7' 'libx11')
+optdepends=('ncurses=5.6-7: advanced ncurses features' 'tk: advanced tk features')
+source=(http://caml.inria.fr/distrib/ocaml-3.11/$pkgname-$pkgver.tar.gz)
+options=('!makeflags' '!emptydirs')
+
+build() {
+ cd $srcdir/$pkgname-$pkgver
+ ./configure -prefix /usr
+ make world.opt || return 1
+ make PREFIX=$pkgdir/usr install || return 1
+
+# Save >10MB with this one, makepkg only strips debug symbols.
+ find ${startdir}/pkg/usr/lib -type f -name '*.so.*' -exec strip --strip-unneeded {} \;
+
+# install license
+install -D -m 644 $startdir/src/$pkgname-$pkgver/LICENSE $startdir/pkg/usr/share/licenses/ocaml/LICENSE
+}
+md5sums=('be152066bdf09761ddf1c31291e5cb90')
diff --git a/abs/core-testing/unison/PKGBUILD b/abs/extra-testing/unison/PKGBUILD
index b1efa5b..b1efa5b 100644
--- a/abs/core-testing/unison/PKGBUILD
+++ b/abs/extra-testing/unison/PKGBUILD
diff --git a/abs/core-testing/unison/ocaml-3.08-extnames.patch b/abs/extra-testing/unison/ocaml-3.08-extnames.patch
index e959be2..e959be2 100644
--- a/abs/core-testing/unison/ocaml-3.08-extnames.patch
+++ b/abs/extra-testing/unison/ocaml-3.08-extnames.patch
diff --git a/abs/core-testing/unison/unison.desktop b/abs/extra-testing/unison/unison.desktop
index 3a7e1d7..3a7e1d7 100644
--- a/abs/core-testing/unison/unison.desktop
+++ b/abs/extra-testing/unison/unison.desktop
diff --git a/abs/core-testing/unison/unison.install b/abs/extra-testing/unison/unison.install
index 70e70b0..70e70b0 100644
--- a/abs/core-testing/unison/unison.install
+++ b/abs/extra-testing/unison/unison.install